metadata:
  name: telepathy-ring
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Support making and receiving phone calls in Telepathy manually,
                with a bluetooth-paired phone."

  resources:
    - "A Bluetooth adapter"
    - "A Bluetooth-enabled phone"

  macro_install_packages_preconditions: ofono-tests telepathy-ring apertis-tests
                                        gir1.2-telepathyglib-0.12
                                        telepathy-mission-control-5
  pre-conditions:
    - "Start simple agent:"
    - $ /usr/lib/chaiwala-tests/bluez/simple-agent -y
    - "Pair both devices initiating from the phone side"
    - "Pay attention to the simple-agent window as it requires input during
       the pairing process."

  expected:
    - "It should show PASSED:"
    - |
        >telepathy-ring: PASSED

run:
  steps:
    - "Pair phone. First scan for devices:"
    - $ hcitool scan
    - "Determine what the ID for your phone is. This will show a list of modems,
       from which you can get the ID of your phone (which starts with a '/'), to
       be used in the next 2 commands:"
    - $ /usr/share/ofono/tests/list-modems
    - "Power up modem:"
    - $ /usr/share/ofono/tests/enable-modem $your_phone_id
    - $ /usr/share/ofono/tests/online-modem $your_phone_id
    - "Add a telepathy-ring account:"
    - $ mc-tool add ring/tel tp-ring-test
    - "Enable account:"
    - $ mc-tool enable ring/tel/account0
    - "Test making a call:"
    - $ /usr/lib/chaiwala-tests/telepathy/telepathy-ring call $number_to_call
    - "Remove temporary account:"
    - $ mc-tool remove ring/tel/account0
